# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit mount-boot

if [[ ${PV} == "9999" ]] ; then
	EGIT_REPO_URI="git://git.osuosl.org/boot-utils.git"
	EGIT_BRANCH="master"
	inherit git
else
	SRC_URI="http://ftp.osuosl.org/pub/osl/boot-utils/${P}.tar.gz"
fi

DESCRIPTION="Boot utilities for Gentoo"
HOMEPAGE="http://git.osuosl.org/?p=boot-utils.git;a=summary"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86 ppc ppc64"
IUSE="build-kernel"

DEPEND=""
RDEPEND="dev-lang/perl
	build-kernel? ( sys-kernel/genkernel )
	x86? ( sys-boot/grub )
	amd64? ( || (
		sys-boot/grub
		sys-boot/grub-static ) )
	ppc64? ( sys-boot/yaboot )
	ppc? ( sys-boot/yaboot )"

src_install() {
	if use x86 || use amd64 ; then
		dosbin bin/update-grub
		insinto /boot/grub
		doins cfg/grub.conf.stub.dist
	fi

	if use ppc || use ppc64 ; then
		dosbin bin/update-yaboot
		dosbin bin/install-yaboot
		insinto /etc
		doins cfg/yaboot.conf.stub.dist
	fi

	if use build-kernel ; then
		dosbin bin/build-kernel
		dodir /etc/build-kernel/configs /etc/build-kernel/settings
		keepdir /var/lib/build-kernel
		insinto /etc/build-kernel/settings
		doins cfg/build-kernel-settings.dist
	fi

	dodoc README
	insinto /usr/share/doc/${PF}/examples
	doins -r overlay/sys-kernel
}
